低危 Ubuntu AccountsService拒绝服务漏洞

CVE编号

CVE-2020-16127

利用情况

暂无

补丁情况

官方补丁

披露时间

2020-11-11 17:15:00
漏洞描述
Ubuntu AccountsService是个人开发者的一款用于在Linux上管理账户的软件。该软件提供对帐户的查询和操作功能,另外提供一组基于useradd、usermod等命令的API。 在0.6.55-0ubuntu13.2之前的版本以及其他较早的版本中,对AccountsService进行Ubuntu-specific修改,将对用户控制的~/.pam_environment文件执行无限制的读取操作,如果将/dev/zero 符号链接到这个位置,则允许无限循环。

解决建议

目前厂商已发布升级补丁以修复漏洞,补丁获取链接: https://ubuntu.com/security/notices/USN-4616-1


受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 freedesktop accountsservice * Up to
(excluding)
0.6.55
运行在以下环境
系统 ubuntu_20 accountsservice * Up to
(excluding)
0.6.45-2
运行在以下环境
系统 ubuntu_20.04 accountsservice * Up to
(excluding)
0.6.55-0ubuntu12~20.04.4
运行在以下环境
系统 unionos_20 accountsservice * Up to
(excluding)
0.6.45-2
阿里云评分
2.6
  • 攻击路径
    本地
  • 攻击复杂度
    复杂
  • 权限要求
    普通权限
  • 影响范围
    有限影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    无影响
  • 数据完整性
    无影响
  • 服务器危害
    无影响
  • 全网数量
    100
CWE-ID 漏洞类型
CWE-835 不可达退出条件的循环(无限循环)
阿里云安全产品覆盖情况